--- include/config.h	Sat Nov 17 19:48:03 2001
+++ include/config.h.new	Tue Jul  9 01:04:53 2002
@@ -269,7 +269,18 @@
  * -- Screamer
  */
 
-/* ------========== End of UniBG Network additions ==========------ */
+/* SECURE_COMMANDS
+ * There are some dangerous and "abusers-loved" commands such as /die, 
+ * /restart and even /oper. They could be changed in include/msg.h but it's 
+ * useless if you don't #define this feature and if your (ab)users are 
+ * cleverer because they can easily learn them. If you turn on this option, 
+ * the afore-mentioned commands won't be displayed to anybody who issues 
+ * /stats m or /quote help, in order to be kept in whole secret.
+ * --Himika
+ */
+#define SECURE_COMMANDS
+
+ /* ------========== End of UniBG Network additions ==========------ */
 
 /* TS_MAX_DELTA and TS_WARN_DELTA -  allowed delta for TS when another
  * server connects.
--- src/m_help.c	Thu Jul 29 10:11:48 1999
+++ src/m_help.c.new	Tue Jul  9 00:49:00 2002
@@ -114,9 +114,14 @@
 
   if (!IsAnOper(sptr) )
     {
-      for (i = 0; msgtab[i].cmd; i++)
+      for (i = 0; msgtab[i].cmd; i++) {
+#ifdef SECURE_COMMANDS
+	if ((strcasecmp(msgtab[i].cmd, MSG_DIE) == 0) || (strcasecmp(msgtab[i].cmd, MSG_RESTART) == 0) || (strcasecmp(msgtab[i].cmd, MSG_OPER) == 0))
+		continue;
+#endif
         sendto_one(sptr,":%s NOTICE %s :%s",
                    me.name, parv[0], msgtab[i].cmd);
+	}
       return 0;
     }
   else
--- src/m_stats.c	Thu Oct 25 09:52:29 2001
+++ src/m_stats.c.new	Tue Jul  9 00:38:44 2002
@@ -359,10 +359,15 @@
       break;
 
     case 'M' : case 'm' :
-      for (mptr = msgtab; mptr->cmd; mptr++)
+      for (mptr = msgtab; mptr->cmd; mptr++) {
+#ifdef SECURE_COMMANDS
+	  if ((strcasecmp(mptr->cmd, MSG_DIE) == 0) || (strcasecmp(mptr->cmd, MSG_RESTART) == 0) || (strcasecmp(mptr->cmd, MSG_OPER) == 0))
+		continue;
+#endif
           sendto_one(sptr, form_str(RPL_STATSCOMMANDS),
                      me.name, parv[0], mptr->cmd,
                      mptr->count, mptr->bytes);
+	  }
       valid_stats++;
       break;
 
